Check out the LimeSurvey source code on GitHub!

Limesurvey crash after upgrade to 1.91-10089

More
5 years 9 months ago #61169 by jamarin
After the comfortupdate from 1.90+9642 to 1.91+10089 I couldnt move away this page (never return to the main menu):
The LimeSurvey database is being upgraded (2011-05-21 19:32:01) . Please be patient...

Database update finished (2011-05-21 19:32:01)

Database has been successfully upgraded to version 145
Back to main menu
there is a similar bug reported in
bugs.limesurvey.org/print_bug_page.php?bug_id=5180

But, in my case the database update was apparently clean. no warnings, but the system is blocked.

Please Log in to join the conversation.

More
5 years 9 months ago #61230 by johnmarkellsworth
Exactly the same problem here!

At this point, I want to go back to my previous situation... at least I could use it... but right now it will not work.

Please Log in to join the conversation.

More
5 years 9 months ago #61231 by johnmarkellsworth
Okay, here is some more info. When I ran the Comfort Update, not all did go smoothly... I got the following:

"Warning: require_once(/home/jme76/public_html/elections/classes/dTexts/dTexts.php) [function.require-once]: failed to open stream: No such file or directory in /home/jme76/public_html/elections/common.php on line 25

Fatal error: require_once() [function.require]: Failed opening required '/home/jme76/public_html/elections/classes/dTexts/dTexts.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/jme76/public_html/elections/common.php on line 25"

That seemed easy to remedy... I just uploaded the dTexts folder and thought I was good... but when I do that, I then get caught in the loop above.

Please Log in to join the conversation.

More
5 years 8 months ago #61411 by wimc
Exactly the same problem here - tried updating from 1.90+ to 1.91+ and get the same error. Tried uploading the dTexts directory from the old installation but that just continues throwing the same error on a different backdrop.

I'll be trying to restore my backup.

Please Log in to join the conversation.

More
5 years 8 months ago #61417 by wimc
OK, well, I got a fresh copy of Version 1.91 Build 10120, unzipped it and reconfigured the config.php file to connect to my old database. First time I logged in to the admin console, it did an upgrade of my Database, and told me to remove the config/install directory, which I did.

Now everything is schweet, I copied over my /uploads directory from the old installation to the new, to get my templates and images back, and all seems to be well.

Is there something I'm missing or forgetting? :S It seems to work for me but I will post back here if I notice anything odd

Please Log in to join the conversation.

More
5 years 8 months ago #61804 by klarkon
Same problem here. Is there a fix for this yet?

Thanks!

Please Log in to join the conversation.

More
5 years 8 months ago #61891 by mdoherr
Dear all,

I did the quick Confort update today (june 6, 2011) to install the latest version "advertised" in the running Limesurvey application, went through all the steps without any obvious problems, but at the very end (when returning to the application) received the following error message:

Warning: require_once() [function.require-once]: Unable to access /home/www/web239/html/limesurvey/classes/dTexts/dTexts.php in /home/www/web239/html/limesurvey/common.php on line 25

Warning: require_once(/home/www/web239/html/limesurvey/classes/dTexts/dTexts.php) [function.require-once]: failed to open stream: No such file or directory in /home/www/web239/html/limesurvey/common.php on line 25

Fatal error: require_once() [function.require]: Failed opening required '/home/www/web239/html/limesurvey/classes/dTexts/dTexts.php' (include_path='.') in /home/www/web239/html/limesurvey/common.php on line 25

Whenever I now try to enter the admin page (backend) of Limesurvey I receive that same error - no chance to get beyond that.

ANY help how to solve and get back to a running version is strongly appreciated.

Marcus

Please Log in to join the conversation.

More
5 years 8 months ago #61892 by wimc
@mdoherr, @klarkon,

The quickest way to fix it would be to get the fullinstallation of the latest version, install that in a new location, and then connect it to your old database. Copy over your custom files from your original installation's /uploads directory and all should be good.

It should be possible to work through all the errors one by one but that is a very long-winded process if all you want to do is get your system up and running.

Are you able to get to your config files and edit the DB settings? That's all you really need to do - maybe just copy your old config file to the new dir and change the path & URLs

Please Log in to join the conversation.

More
5 years 8 months ago - 5 years 8 months ago #61906 by klarkon
@wimc Thanks for the great advice. It proved to be very helpful.

I downloaded a copy of the full installation from this site. I then made a copy of all the directory files from the original installation.

After doing that, I uploaded the new installation files and overwrote all of the old ones. Once that was done, I uploaded a copy of the original config file and tmp folders so it overwrote the new ones I just installed.

Once this was done, I was able to login to the admin. The page asked me to click to update my files which I did. After doing this, my surveys worked like a charm.

Thanks again. Hope this helps other people.
Last Edit: 5 years 8 months ago by klarkon.

Please Log in to join the conversation.

Imprint                   Privacy policy         General Terms & Conditions         Revocation information and revocation form